import { defineComponent, toRefs, reactive, onMounted, ref } from 'vue'
import classes from './index.module.less'
import { ElButton, ElIcon, ElPopover } from 'element-plus'
import { scrollAnimation } from '@/util/scroll'
import silder1 from './images/silder1.svg'
import silder2 from './images/silder2.svg'
import silder3 from './images/silder3.svg'
import silder4 from './images/silder4.svg'
import silder5 from './images/silder5.svg'
import download from './images/download.png'
import publicCode from './images/public-code.jpg'
export default defineComponent({
  name: 'silder',
  setup() {
    const state = reactive({
      showgo: false
    })
    const gotop = () => {
      const currentY =
        document.documentElement.scrollTop || document.body.scrollTop
      scrollAnimation(currentY, 0)
    }
    onMounted(() => {
      window.onscroll = function () {
        if (document.documentElement.scrollTop > 300) {
          state.showgo = true
        } else {
          state.showgo = false
        }
      }
    })
    return () => (
      <>
        <div class={classes.silderWrap}>
          <div class={classes.silderList}>
            <ElPopover
              placement="left"
              trigger="hover"
              popper-class="Mopopver"
              v-slots={{
                reference: () => (
                  <div class={classes.silderItem}>
                    <img src={silder2}  />
                    <p>电话咨询</p>
                    <div class={classes.line}></div>
                  </div>
                )
              }}
            >
              <div>
                <p class={classes.hoverTitle}>咨询电话：</p>
                <p class={classes.hoverMsg}>400-8851569</p>
              </div>
            </ElPopover>
            <ElPopover
              placement="left"
              trigger="hover"
              popper-class="Mopopver"
              v-slots={{
                reference: () => (
                  <div class={classes.silderItem}>
                    <img src={silder3}  />
                    <p>APP下载</p>
                    <div class={classes.line}></div>
                  </div>
                )
              }}
            >
              <div>
                <div class={classes.codeItem}>
                  <img
                    src={download}
                    width="111px"
                    height="111px"

                  />
                  <p>扫码下载APP</p>
                </div>
              </div>
            </ElPopover>
            <ElPopover
              placement="left"
              trigger="hover"
              popper-class="Mopopver"
              v-slots={{
                reference: () => (
                  <div class={classes.silderItem}>
                    <img src={silder1}  />
                    <p>关注微信</p>
                  </div>
                )
              }}
            >
              <div>
                <div class={classes.codeItem}>
                  <img
                    src={publicCode}
                    width="111px"
                    height="111px"

                  />
                  <p>微信订阅号</p>
                </div>
              </div>
            </ElPopover>
          </div>

          {state.showgo ? (
            <div class={classes.goTop} onClick={gotop}>
              <img src={silder5}  />
            </div>
          ) : (
            ''
          )}

        </div>
      </>
    )
  }
})
