import ColSteps from '@/components/col-steps'
import {
  ElButton,
  ElDatePicker,
  ElForm,
  ElFormItem,
  ElInput,
  ElRadioButton,
  ElRadioGroup
} from 'element-plus'
import { defineComponent } from 'vue'
import { teacherState } from '../../teacherState'
import BaseInfo from '../base-info'
import CertInfo from '../cert-info'
import EduInformation from '../edu-information'
import styles from './index.module.less'

export default defineComponent({
  name: 'auth',
  data() {
    return {
      radio: '1'
    }
  },
  render() {
    return (
      <div class="pt-12 px-72 pb-24">
        <ColSteps type="medium" active={teacherState.active} />

        {teacherState.active === 0 && <CertInfo />}
        {teacherState.active === 1 && <BaseInfo />}
        {teacherState.active === 2 && <EduInformation />}
      </div>
    )
  }
})
