import { ElButton, ElForm, ElFormItem, ElInput } from 'element-plus'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import { teacherState } from '../../teacherState'

export default defineComponent({
  name: 'auth',
  data() {
    return {
      labelWidth: '140px'
    }
  },
  render() {
    return (
      <ElForm
        class={[styles.form, 'mx-4 mt-7']}
        ref="form"
        size="large"
        model={teacherState.teacherCert}
        labelPosition="left"
      >
        <ElFormItem labelWidth={this.labelWidth} label="毕业院校（必填）">
          <ElInput placeholder="请输入您的毕业院校" />
        </ElFormItem>
        <ElFormItem labelWidth={this.labelWidth} label="专业（选填）">
          <ElInput placeholder="请输入您的专业名称" />
        </ElFormItem>
        <ElFormItem labelWidth={this.labelWidth} label="毕业证书（选填）">
          <ElInput placeholder="请输入您的毕业院校" />
        </ElFormItem>
        <ElFormItem labelWidth={this.labelWidth} label="学位证书（选填）">
          <ElInput placeholder="请输入您的毕业院校" />
        </ElFormItem>
        <ElFormItem labelWidth={this.labelWidth} label="教师资格证（选填）">
          <ElInput placeholder="请输入您的毕业院校" />
        </ElFormItem>

        <ElFormItem>
          <div class="text-center w-full">
            <ElButton
              class="!w-40 !h-[38px]"
              onClick={() => {
                teacherState.active = 1
              }}
            >
              上一步
            </ElButton>
            <ElButton
              type="primary"
              class="!w-40 !h-[38px]"
              onClick={() => {
                ;(this as any).$refs['form'].validate(async (_: boolean) => {
                  if (_) {
                    // teacherState.active = 2
                  }
                })
              }}
            >
              提交审核
            </ElButton>
          </div>
        </ElFormItem>
      </ElForm>
    )
  }
})
