import request from '@/helpers/request'
import { state } from '@/state'
import { defineComponent } from 'vue'
import Auth from './components/auth'
import CertInfo from './components/cert-info'
import styles from './index.module.less'
import { teacherState } from './teacherState'

export const getAssetsHomeFile = (fileName: string) => {
  const path = `../images/${fileName}`
  const modules = import.meta.globEager('../images/*')
  return modules[path].default
}

export default defineComponent({
  name: 'teacherAuth',
  async mounted() {
    try {
      // 判断是否登录
      if (state.user.status !== 'login') {
        return
      }
      // 老师入驻状态 0、未申请 UNPAALY、未申请 DOING、审核中 PASS、通过 UNPASS、不通过
      const entryStatus = state.user.data?.entryStatus || 0
      teacherState.authStatus =
        entryStatus === 'DOING' || entryStatus === 'PASS' ? true : false
      // 如果已经认证，则不用获取声部信息
      if (teacherState.authStatus) {
        teacherState.active = teacherState.authStatus ? 4 : 1
        return
      }

      // if (teacherState.subjectList.length <= 0) {
      //   const res = await request.get('/api-website/subject/subjectSelect')
      //   teacherState.subjectList = res.data || []
      // }

      const teacherInfo = await request.get(
        '/api-website/teacherAuthEntryRecord/getLastRecordByUserId'
      )
      teacherState.teacherInfo = teacherInfo.data || {}
      const info = teacherState.teacherInfo
      teacherState.teacherCert.introduction = info.introduction
      teacherState.teacherCert.subjectId = info.subjectId
      teacherState.teacherCert.graduateSchool = info.graduateSchool
      teacherState.teacherCert.subject = info.subject
      teacherState.teacherCert.gradCertificate = info.gradCertificate
      teacherState.teacherCert.degreeCertificate = info.degreeCertificate
      teacherState.teacherCert.teacherCertificate = info.teacherCertificate
    } catch {
      //
    }
  },
  computed: {
    authStatus(): Boolean {
      return !!teacherState.authStatus
    },
    userAuth() {
      // 判断是否实名过
      const users = state.user.data || {}
      return !!(users.idCardNo && users.realName)
    }
  },
  render() {
    return (
      <div class="w-[1200px] mt-[72px] mb-[60px] bg-white min-h-full m-auto text-[#333]">
        {/* {!teacherState.authStatus ? <CertInfo /> : <div>2323</div>} */}

        <Auth />
      </div>
    )
  }
})
